petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSAdaptSetCheckStage

set a callback to check convergence for a stage

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetCheckStage(TSAdapt adapt,PetscErrorCode (*func)(TSAdapt,TS,PetscReal,Vec,PetscBool*))

Logically collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| func | - stage check function

### Arguments of func

     PetscErrorCode func(TSAdapt adapt,TS ts,PetscBool *accept)

| adapt | - adaptive controller context
| ts | - time stepping context
| accept | - pending choice of whether to accept, can be modified by this routine

### See Also

TSAdaptChoose()

Level:advanced
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages